> ## Documentation Index
> Fetch the complete documentation index at: https://docs.irisagent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload support cases

> Send support cases for AI training via this API



## OpenAPI

````yaml /api-reference/openapi.json post /v1/cases
openapi: 3.0.3
info:
  title: IrisAgent's API Reference
  description: >
    IrisAgent service can be used as an API to power intelligent conversations
    and search, index, and connect with your internal and external knowledge
    articles, tickets, community forums, product documentation,

    and other informational content.
  version: 1.2.0
servers:
  - url: https://api1.irisagent.com
security:
  - bearerAuth: []
paths:
  /v1/cases:
    post:
      summary: Upload support cases
      description: Send support cases for AI training via this API
      operationId: uploadCases
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CasesUploadRequest'
      responses:
        '200':
          description: Cases uploaded successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CasesUploadResponse'
        '400':
          description: Bad request - invalid input
        '401':
          description: Unauthorized - invalid credentials
        '403':
          description: Forbidden - insufficient permissions
components:
  schemas:
    CasesUploadRequest:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Case'
      required:
        - data
    CasesUploadResponse:
      type: object
      properties:
        result:
          type: string
          enum:
            - success
            - partial
      required:
        - result
    Case:
      type: object
      properties:
        id:
          type: string
          example: '12345'
        subject:
          type: string
          example: Application will not access the logs
        description:
          type: string
        status:
          type: string
          example: open
        priority:
          type: string
          example: high
        type:
          description: The type of case, such as Feature Request or Question
          type: string
          x-go-type-skip-optional-pointer: true
        brand_id:
          description: The brand identifier associated with the case
          type: string
          x-go-type-skip-optional-pointer: true
        form_id:
          description: The form identifier associated with the case
          type: string
          x-go-type-skip-optional-pointer: true
        tags:
          type: array
          items:
            type: string
          example:
            - billing
            - urgent
          x-go-type-skip-optional-pointer: true
        timeOfCreation:
          description: Unix timestamp epoch in milli-seconds as string
          type: integer
          format: int64
          example: 17437722600
        comments:
          type: array
          items:
            $ref: '#/components/schemas/CaseComment'
          x-go-type-skip-optional-pointer: true
        url:
          description: Public link to the case
          type: string
          format: uri
          example: https://support.example.com/cases/12345
        custom_fields:
          type: object
          example:
            department: IT
            priority_level: 1
          x-go-type-skip-optional-pointer: true
        kb_links:
          type: array
          items:
            type: string
            format: uri
        source:
          type: string
          example: email
        spam:
          description: Indicates if the case is marked as spam
          type: boolean
          example: false
      required:
        - id
        - subject
        - status
        - timeOfCreation
    CaseComment:
      type: object
      properties:
        commentId:
          type: string
          example: 123e4567-e89b-12d3-a456-426655440000
        comment:
          type: string
          example: Please help to fix this ASAP.
        commenter:
          type: string
          example: Customer
        isPublic:
          type: boolean
          example: true
        timeOfCreation:
          description: Unix timestamp epoch in milli-seconds as string
          type: integer
          format: int64
          example: 17437722600
      required:
        - commentId
        - comment
        - commenter
        - timeOfCreation
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |
        The `Authorization` header is required to authenticate API requests.
        It should contain a bearer token obtained through the IrisAgent portal.

````